apiVersion: flink.apache.org/v1beta1
kind: FlinkDeployment
metadata:
  namespace: starrocks
  name: flink-session-clsuter-example
spec:
  image: flink:1.17
  flinkVersion: v1_17
  mode: standalone
  flinkConfiguration:
    taskmanager.numberOfTaskSlots: "1"
  serviceAccount: flink-service-account
  jobManager:
    resource:
      memory: "1024m"
      cpu: 1
  taskManager:
    resource:
      memory: "2048m"
      cpu: 1